<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/AccessoriesCircularBuffer.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('AccessoriesCircularBuffer_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoriesCircularBuffer.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __Accessories_CircularBuffer_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __Accessories_CircularBuffer_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#ifndef NO_EEPROM</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classAccessoriesCircularBuffer.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classAccessoriesCircularBuffer.html">AccessoriesCircularBuffer</a></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;{</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keywordtype">int</span> StartListPos;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    byte ItemSize;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    byte ReplicaNumber;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classAccessoriesCircularBuffer.html#a7f1b78c04534046538cca20d3859e510">   38</a></span>&#160;    <a class="code" href="classAccessoriesCircularBuffer.html#a7f1b78c04534046538cca20d3859e510">AccessoriesCircularBuffer</a>() { this-&gt;ItemSize = 0; this-&gt;ReplicaNumber = 0; this-&gt;StartListPos = 0; }</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classAccessoriesCircularBuffer.html#ac8c081c387cb554e9f4f4808199b69cf">   46</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classAccessoriesCircularBuffer.html#ac8c081c387cb554e9f4f4808199b69cf">begin</a>(<span class="keywordtype">int</span> inStartListPos, byte inItemSize, byte inReplicaNumber)</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    { </div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        this-&gt;StartListPos = inStartListPos;  </div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        this-&gt;ItemSize = inItemSize; </div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        this-&gt;ReplicaNumber = inReplicaNumber; </div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="keywordflow">return</span> (this-&gt;ItemSize + 1) * this-&gt;ReplicaNumber;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    }</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classAccessoriesCircularBuffer.html#a549a4c48972a76eb85cfb9d9a5457e73">getStartRead</a>();</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classAccessoriesCircularBuffer.html#a439491385ea8825a2a2405ba9db109b5">startWrite</a>();</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classAccessoriesCircularBuffer.html#a429a5a2adc4299a766469177f6a772b6">clear</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordtype">void</span> printStatus();</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    byte FindEnd();</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;};</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classAccessoriesCircularBuffer_html_a429a5a2adc4299a766469177f6a772b6"><div class="ttname"><a href="classAccessoriesCircularBuffer.html#a429a5a2adc4299a766469177f6a772b6">AccessoriesCircularBuffer::clear</a></div><div class="ttdeci">void clear() const </div></div>
<div class="ttc" id="classAccessoriesCircularBuffer_html_a439491385ea8825a2a2405ba9db109b5"><div class="ttname"><a href="classAccessoriesCircularBuffer.html#a439491385ea8825a2a2405ba9db109b5">AccessoriesCircularBuffer::startWrite</a></div><div class="ttdeci">int startWrite()</div></div>
<div class="ttc" id="classAccessoriesCircularBuffer_html_a549a4c48972a76eb85cfb9d9a5457e73"><div class="ttname"><a href="classAccessoriesCircularBuffer.html#a549a4c48972a76eb85cfb9d9a5457e73">AccessoriesCircularBuffer::getStartRead</a></div><div class="ttdeci">int getStartRead()</div></div>
<div class="ttc" id="classAccessoriesCircularBuffer_html_ac8c081c387cb554e9f4f4808199b69cf"><div class="ttname"><a href="classAccessoriesCircularBuffer.html#ac8c081c387cb554e9f4f4808199b69cf">AccessoriesCircularBuffer::begin</a></div><div class="ttdeci">int begin(int inStartListPos, byte inItemSize, byte inReplicaNumber)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoriesCircularBuffer_8hpp_source.html#l00046">AccessoriesCircularBuffer.hpp:46</a></div></div>
<div class="ttc" id="classAccessoriesCircularBuffer_html_a7f1b78c04534046538cca20d3859e510"><div class="ttname"><a href="classAccessoriesCircularBuffer.html#a7f1b78c04534046538cca20d3859e510">AccessoriesCircularBuffer::AccessoriesCircularBuffer</a></div><div class="ttdeci">AccessoriesCircularBuffer()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoriesCircularBuffer_8hpp_source.html#l00038">AccessoriesCircularBuffer.hpp:38</a></div></div>
<div class="ttc" id="classAccessoriesCircularBuffer_html"><div class="ttname"><a href="classAccessoriesCircularBuffer.html">AccessoriesCircularBuffer</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoriesCircularBuffer_8hpp_source.html#l00029">AccessoriesCircularBuffer.hpp:29</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>AccessoriesCircularBuffer.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
